Bug 1302053 - Review Request: pgcenter - Top-like PostgreSQL statistics viewer
Review Request: pgcenter - Top-like PostgreSQL statistics viewer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 11:24 EST by Pavel Alexeev
Modified: 2016-12-11 06:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-10 23:49:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2016-01-26 11:24:22 EST
Spec URL: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/80f489f5723934606f0c1c7eccad8d37dd2ded9f/SPECS/pgcenter.spec
SRPM URL: http://rpm.hubbitus.info/Fedora23/pgcenter/pgcenter-0.2.0-1.fc23.src.rpm
Description:
PostgreSQL provides various statistics which includes information about
tables, indexes, functions and other database objects and their usage.
Moreover, statistics has detailed information about connections, current
queries and database operations (INSERT/DELETE/UPDATE). But most of this
statistics are provided as permanently incremented counters. The pgcenter
provides convenient interface to this statistics and allow viewing statistics
changes in time interval, eg. per second. The pgcenter provides fast access
for database management task, such as editing configuration files, reloading
services, viewing log files and canceling or terminating database backends
(by pid or using state mask). However if need execute some specific
operations, pgcenter can start psql session for this purposes.

Fedora Account System Username: hubbitus
Comment 1 Upstream Release Monitoring 2016-01-26 15:02:40 EST
gil's scratch build of pgcenter-0.2.0-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12692872
Comment 2 gil cattaneo 2016-01-26 15:04:28 EST
(In reply to Upstream Release Monitoring from comment #1)
> gil's scratch build of pgcenter-0.2.0-1.fc23.src.rpm for rawhide failed
> http://koji.fedoraproject.org/koji/taskinfo?taskID=12692872

+ make -j4
make: --libs: Command not found
gcc -g -std=gnu99 -Wall -pedantic -I/usr/include -L/usr/lib -o pgcenter pgcenter.c  -lmenu -lpq
/usr/bin/ld: /tmp/ccXlDna5.o: undefined reference to symbol 'echo'
/lib/libncurses.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
Makefile:25: recipe for target 'pgcenter' failed
make: *** [pgcenter] Error 1
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.EZNUY4 (%build)
    Bad exit status from /var/tmp/rpm-tmp.EZNUY4 (%build)
Comment 3 gil cattaneo 2016-01-26 15:20:21 EST
NOTE: you should use %license macro to handle COPYRIGHT file
Comment 4 gil cattaneo 2016-01-27 10:52:08 EST
can you take this https://bugzilla.redhat.com/show_bug.cgi?id=1301589 for me?
thanks in advance
Comment 5 Upstream Release Monitoring 2016-01-29 14:16:06 EST
hubbitus's scratch build of pgcenter-0.2.0-1.fc23.x86_64.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12730350
Comment 6 Upstream Release Monitoring 2016-01-29 14:19:23 EST
hubbitus's scratch build of pgcenter-0.2.0-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12730379
Comment 7 Upstream Release Monitoring 2016-01-29 16:14:01 EST
hubbitus's scratch build of pgcenter-0.2.0-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12731876
Comment 9 gil cattaneo 2016-01-30 16:02:41 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 6 files have unknown
     license. Detailed output of licensecheck in
     /home/gil/1302053-pgcenter/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
     pgcenter-0.2.0/qstats.h
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     pgcenter-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/gil/1302053-pgcenter/results/pgcenter-0.2.0-2.fc24.i686.rpm /home/gil/1302053-pgcenter/results/pgcenter-debuginfo-0.2.0-2.fc24.i686.rpm /home/gil/1302053-pgcenter/results/pgcenter-debuginfo-0.2.0-2.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 --setopt=deltarpm=false install /home/gil/1302053-pgcenter/results/pgcenter-0.2.0-2.fc24.i686.rpm /home/gil/1302053-pgcenter/results/pgcenter-debuginfo-0.2.0-2.fc24.i686.rpm /home/gil/1302053-pgcenter/results/pgcenter-debuginfo-0.2.0-2.fc24.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: pgcenter-0.2.0-2.fc24.i686.rpm
          pgcenter-debuginfo-0.2.0-2.fc24.i686.rpm
          pgcenter-0.2.0-2.fc24.src.rpm
pgcenter.i686: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
pgcenter.i686: W: spelling-error %description -l en_US pid -> peed, dip, pud
pgcenter.i686: W: spelling-error %description -l en_US psql -> SQL
pgcenter.i686: W: no-manual-page-for-binary pgcenter
pgcenter.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
pgcenter.src: W: spelling-error %description -l en_US pid -> peed, dip, pud
pgcenter.src: W: spelling-error %description -l en_US psql -> SQL
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
pgcenter-debuginfo (rpmlib, GLIBC filtered):

pgcenter (rpmlib, GLIBC filtered):
    libc.so.6
    libmenu.so.6
    libncurses.so.6
    libpq.so.5
    libtinfo.so.6
    rtld(GNU_HASH)



Provides
--------
pgcenter-debuginfo:
    pgcenter-debuginfo
    pgcenter-debuginfo(x86-32)

pgcenter:
    pgcenter
    pgcenter(x86-32)



Source checksums
----------------
https://github.com/lesovsky/pgcenter/archive/0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : f1de104280eda0d14d2e3b3f86abaf23a2f295ef42c563651369be47e0ddf10a
  CHECKSUM(SHA256) upstream package : f1de104280eda0d14d2e3b3f86abaf23a2f295ef42c563651369be47e0ddf10a


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1302053 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 gil cattaneo 2016-01-30 16:05:47 EST
Suggestions:

install man page.
pgcenter.i686: W: no-manual-page-for-binary pgcenter

Manual page is available in pgcenter-0.2.0/doc/pgcenter.1.gz

install, also, pgcenter-0.2.0/doc/Changelog

Seem all ok. Approved
Comment 11 Pavel Alexeev 2016-02-01 05:02:58 EST
Thank you very much. I'll include man and changelog on import.
Comment 12 Gwyn Ciesla 2016-02-01 08:51:42 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/pgcenter
Comment 13 Fedora Update System 2016-02-06 06:29:52 EST
pgcenter-0.2.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-748199b57f
Comment 14 Fedora Update System 2016-02-06 06:39:46 EST
pgcenter-0.2.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-677e05a3bb
Comment 15 Fedora Update System 2016-02-07 01:54:01 EST
pgcenter-0.2.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-677e05a3bb
Comment 16 Fedora Update System 2016-02-07 02:22:33 EST
pgcenter-0.2.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-748199b57f
Comment 17 Fedora Update System 2016-10-03 02:49:09 EDT
pgcenter-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf2cfd3c17
Comment 18 Fedora Update System 2016-12-10 23:49:32 EST
pgcenter-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-12-11 06:21:16 EST
pgcenter-0.2.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.